×

Discussion Board

Results 1 to 3 of 3
  1. #1
    Registered User
    Join Date
    Apr 2005
    Posts
    2

    MM7 5.5.0 Submit.REQ PDU

    I am submitting the following MM7 5.5.0 Submit.REQ PDU but the Nokia MMSC returns an error staing that the message format is corrupt. Is there anything wrong with the format of the PDU eg. confirms to the 5.5.0 spec? I believe it may be a problem with the missing mustUnderstand attribute from the header. Could someone confirm this?

    POST / HTTP/1.1
    Content-Type: multipart/related; boundary="----=_Part_4_23637981.1115989991245"
    SoapAction: ""
    User-Agent: Java/1.4.2_07
    Host: 127.0.0.1:1111
    Accept: text/html, image/gif, image/jpeg, *; q=.2, */*; q=.2
    Connection: keep-alive
    Content-Length: 1114

    ------=_Part_4_23637981.1115989991245
    CONTENT-TYPE: text/xml; charset="UTF-8"
    CONTENT-TRANSFER-ENCODING: 8BIT

    <?xml version="1.0" encoding="UTF-8"?>
    <env:Envelope xmlns:env="http://schemas.xmlsoap.org/soap/envelope/">
    <env:Header>
    <mm7:TransactionID xmlns:mm7="http://www.3gpp.org/ftp/Specs/archive/23_series/23.140/schema/REL-5-MM7-1-2">2</mm7:TransactionID>
    </env:Header>
    <env:Body>
    <SubmitReq xmlns="http://www.3gpp.org/ftp/Specs/archive/23_series/23.140/schema/REL-5-MM7-1-2">
    <MM7Version>5.3.0</MM7Version>
    <SenderIdentification>
    <VASPID>vasp1</VASPID>
    <VASID>1234</VASID>
    <SenderAddress>
    <Number>1234</Number>
    </SenderAddress>
    </SenderIdentification>
    <Recipients>
    <To><Number>0123456789</Number></To>
    </Recipients>
    <Subject>test</Subject>
    <ExpiryDate>2005-05-13T14:43:11</ExpiryDate>
    <DeliveryReport>true</DeliveryReport>
    <Priority>Normal</Priority>
    <Content href="cid:3d63afb18000003"/>
    </SubmitReq>
    </env:Body>
    </env:Envelope>

    ------=_Part_4_23637981.1115989991245
    CONTENT-TYPE: text/plain; charset="UTF-8"
    CONTENT-TRANSFER-ENCODING: 8BIT
    CONTENT-ID: <3d63afb18000003>

    test
    ------=_Part_4_23637981.1115989991245--

  2. #2
    Registered User
    Join Date
    Apr 2005
    Posts
    2
    Is there a Nokia MMSC Emulator that supports MM7 5.5.0? Latest version only appears to support 6.3

  3. #3
    Registered User
    Join Date
    Mar 2004
    Posts
    1

    Re: MM7 5.5.0 Submit.REQ PDU

    Does anyone on Nokia Forums have successful experience of linking to the new MM7 component in Nokia MMSc 4.0 ??

    If so, I'd like to know if there are any hints or tips as we're just starting to test but our client application only supports MM7 version 5.3.0 or some Ericsson flavours.

    Cheers,
    Andrew

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×